Name:          java-jflex
Version:       1.9.1
Release:       1mamba
Summary:       JFlex - The Fast Scanner Generator for Java
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.jflex.de/
Source0:       https://github.com/jflex-de/jflex/releases/download/v%{version}/jflex-%{version}.tar.gz
Source1:       jflex.sh
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages

%description
JFlex is a lexical analyzer generator (also known as scanner generator) for Java(tm), written in Java(tm). It is also a rewrite of the very useful tool JLex which was developed by Elliot Berk at Princeton University.
As Vern Paxson states for his C/C++ tool flex: They do not share any code though.
JFlex is designed to work together with the LALR parser generator CUP by Scott Hudson, and the Java modification of Berkeley Yacc BYacc/J by Bob Jamison. It can also be used together with other parser generators like ANTLR or as a standalone tool.

%prep
%setup -q -n jflex-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 lib/jflex-full-%{version}.jar \
	%{buildroot}%{_javadir}/jflex-%{version}.jar

(	cd %{buildroot}%{_javadir}
	for jar in *-%{version}.jar; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
	ln -s jflex.jar JFlex.jar
)

install -m644 -D lib/jflex.vim \
  %{buildroot}%{_datadir}/vim/syntax/jflex.vim
install -m755 -D %{SOURCE1} %{buildroot}%{_bindir}/jflex

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/jflex
%{_javadir}/jflex-%{version}.jar
%{_javadir}/jflex.jar
%{_javadir}/JFlex.jar
%{_datadir}/vim/syntax/jflex.vim
%doc doc/COPYRIGHT

%changelog
* Mon Oct 09 2023 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic update by autodist

* Sat Aug 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.2-1mamba
- update to 1.8.2

* Thu Nov 25 2010 gil <puntogil@libero.it> 1.4.1-4mamba
- rebuilt devel

* Mon Mar 02 2009 gil <puntogil@libero.it> 1.4.1-3mamba
- fixed some bugs

* Mon Mar 02 2009 gil <puntogil@libero.it> 1.4.1-2mamba
- rebuilt

* Mon Mar 02 2009 gil <puntogil@libero.it> 1.4.1-1mamba
- package created by autospec
